commit:     26a977ee328620f1220b965890ff5aa9f9009905
Author:     Hans Fredrik Nordhaug <hansfn <AT> gmail <DOT> com>
AuthorDate: Fri Apr 23 09:24:16 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Fri Apr 23 09:25:06 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=26a977ee

net-misc/tinyssh: Updating to 20210319

Closes: https://bugs.gentoo.org/785199
Closes: https://bugs.gentoo.org/781698
Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Hans Fredrik Nordhaug <hansfn <AT> gmail.com>

 net-misc/tinyssh/Manifest                                     |  2 +-
 .../{tinyssh-20190101.ebuild => tinyssh-20210319.ebuild}      | 11 ++++++-----
 2 files changed, 7 insertions(+), 6 deletions(-)

diff --git a/net-misc/tinyssh/Manifest b/net-misc/tinyssh/Manifest
index b697c8266..3c80b682b 100644
--- a/net-misc/tinyssh/Manifest
+++ b/net-misc/tinyssh/Manifest
@@ -1 +1 @@
-DIST tinyssh-20190101.tar.gz 244848 BLAKE2B 
a115bca82db020970a1cd8dd27f65f0d586f291fdcbcd786802babaa82befddd39ec8651dd4d6ebc3503e8c4e5903a335a6b14dc2957bae5519e4a7dee6fd495
 SHA512 
bf3829a71c29e8b0d5c2a145be9dfaf05efb1b98932f34f19f76e07871da4be10022bdde4c57ca49557b69931077b451bc2efbeab38d8ef24151fb73990f1012
+DIST tinyssh-20210319.tar.gz 245451 BLAKE2B 
fdbb41281edde704d660de07b9a01b48aa1fd17c596b1e7ecbe46ccc804f3499036845781c736c39d99911bcdc6aefc2b1fe354ea40972dbff55a24121629a1f
 SHA512 
e839355fdae241ff90a2cbc95219141a2e12b2efaeb8631f2a1f7400868d93998843da5170146b13de6e10d5098acfea0ef55a0154c5fe22a093f67d4fa7ce0e

diff --git a/net-misc/tinyssh/tinyssh-20190101.ebuild 
b/net-misc/tinyssh/tinyssh-20210319.ebuild
similarity index 84%
rename from net-misc/tinyssh/tinyssh-20190101.ebuild
rename to net-misc/tinyssh/tinyssh-20210319.ebuild
index 1ad54dd70..1fccc0e22 100644
--- a/net-misc/tinyssh/tinyssh-20190101.ebuild
+++ b/net-misc/tinyssh/tinyssh-20210319.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -29,7 +29,7 @@ src_prepare() {
 
        # Use make-tinysshcc.sh script, which has no tests and doesn't execute
        # binaries. See https://github.com/janmojzis/tinyssh/issues/2
-       sed -i 's/tinyssh/tinysshcc/g' ./Makefile || die
+       sed -i 's/make-tinyssh\.sh/make-tinysshcc.sh/g' ./Makefile || die
 
        default
 }
@@ -38,11 +38,12 @@ src_compile() {
        if use sodium
        then
                emake \
+                       CC="$(tc-getCC)"
                        LIBS="-lsodium" \
-                       CFLAGS="$CFLAGS -I/usr/include/sodium" \
-                       LDFLAGS="-L/usr/lib"
+                       CFLAGS="${CFLAGS} -I/usr/include/sodium" \
+                       LDFLAGS="${LDFLAGS} -L/usr/lib"
        else
-               emake
+               emake CC="$(tc-getCC)"
        fi
 }
 

Reply via email to